<?php

// ----------------------------- Fonctions de gestion du chemin --------------------------- //

function ModifChemin($chemin)
{
	$taille = strlen($chemin);
	$i = $taille;
	$fin = 0;
	while(($fin==0) and ($i > 0))
	{ 
		$i--;
		if($chemin[$i] == "/") $fin = $i;
	}
	$newchemin = substr($chemin,0,$fin);
	return $newchemin;
}

function DecomposerChemin($chemin)
{
	$taille = strlen($chemin);
	$partie = "";

	$chemindecompose = "<A HREF=./admin_restaure.php?chemin="."&pagecentrale=1".">.</A>";

	if($taille > 1)
	{
		$cumul = ".";

		for($i=2;$i<$taille;$i++)
		{
			if($chemin[$i] == "/")
			{
				$cumul = "$cumul/$partie";
				$cumulencode = rawurlencode($cumul);
				$chemindecompose = $chemindecompose."/<A HREF=./admin_restaure.php?chemin=$cumulencode"."&pagecentrale=1".">$partie</A>";
				$partie = "";
			}
			else $partie = $partie.$chemin[$i];
		}
		$cumul = "$cumul/$partie";
		$cumulencode = rawurlencode($cumul);
		$chemindecompose = $chemindecompose."/<A HREF=./admin_restaure.php?chemin=$cumulencode"."&pagecentrale=1".">$partie</A>";
	}
}

// =================== Fonction de gestion des extension et icones =========== //

function GetIcone($ext)
{
	switch($ext)
	{
		case "tco"  : $icone = "tco.png";			break;
		default     : $icone = "unknown.gif";		break;
	}
    return $icone;
}

function GetExtension($fichier)
{
	$pos = strrpos($fichier,".");
	$extension = substr($fichier,$pos+1,strlen($fichier)-$pos);
	return $extension;
}

// ----------------------- Fonction de gestion de la taille du fichier ------------------------ //

function FormatTailleFichier($Taille)
{
		 if($Taille == 0)					$format = "";
	else if($Taille <= 1024)				$format = $Taille." oct";
	else if($Taille <= (10*1024))			$format = sprintf ("%.2f k%s",($Taille/1024),"o");
	else if($Taille <= (100*1024))			$format = sprintf ("%.1f k%s",($Taille/1024),"o");
	else if($Taille <= (1024*1024))			$format = sprintf ("%d k%s",($Taille/1024),"o");
	else if($Taille <= (10*1024*1024))		$format = sprintf ("%.2f M%s",($Taille/(1024*1024)),"o");
	else if($Taille <= (100*1024*1024))		$format = sprintf ("%.1f M%s",($Taille/(1024*1024)),"o");
	else									$format = sprintf ("%d M%s",($Taille/(1024*1024)),"o");

	return $format;
}

?>