<?php
/*******************************************************************************************
*   Script du module upload ralis par Sad tikijja pour le projet JBC Explorer           *
*   Site web du projet : http://jcjcjcjc.free.fr/                                          *
*   Forum du projet : http://www.freescript.be/viewforum.php?forum=10                      *
*   mail : sanid@free.fr                                                                   *
*                                                                                          *
*                          UPLOAD.CONF.PHP                                                 *
*   Fichier de configuration du script                                                     *
*                                                                                          *
*   Note : le module utilise aussi des paramtres de l'Explorer (config.inc.php)           *
*                                                                                          *
*******************************************************************************************/

/**
     * Paramtres  ajouter aux champ de type file (ex: balise style, venements JS...)
     * Type : chaine
     * Valeur par dfaut : 'class="form"'
     */
$FieldOptions = 'class="form"';

/**
     * Nombre de champs de type file que le script devra grer.
     * En gros le nombre de fichiers pouvant tre transmis en mme temps !
     * Type : entier
     * Valeur par dfaut : 5
     * N'abusez pas du nombre de champs surtout si vous activez le redimensionnement des images
     * J'ai test l'envoi de 5 images jpeg sur free.fr
     * redimensionnement et envoi ok !
     */
$Fields = 5;

 /**
     * Dfinit si les champs sont obligatoires ou non.
     * Si le champ est laiss vide, un message l'indiquera mais le script continuera pour les autres fichiers
     * Type : boolen
     * Valeur par dfaut : true
     */
$Required = true;

/**
     * Liste des extensions autorises.
     * Les extensions doivent tre spares par des points virgules.
     * Type : chaine
     * Valeur par dfaut : chaine vide (toute extension autorise)
     * exemple si vous voulez limiter l'upload aux images mettez .jpg;.jpeg;.gif;.png';
     */
$Extension = '';
/**
     * Liste des extensions  renommer
     * Les extensions doivent tre spares par des points virgules.
     * Type : chaine
     * Valeur par dfaut : .php;.php3;php5;inc;htm;.html
     * exemple: si vous voulez autoriser l'envoi de fichier php et php3 mais ne souhaitez pas qu'ils conservent leur extension .php indiquez '.php;.php3';
     */

$Extension_renamed= '.php;.php4;.php3;.php5;.inc';

/**
     * Suffixe  ajouter aux extensions  renommer
     * Type : chaine
     * Valeur par dfaut : xxx
     * Dans l'exemple prcdent, si vous indiquez ici 'xxx' un fichier nomm script.php sera renomm en script.phpxxx
     */
$SuffExtension ='xxx';


/**
     * Rpertoire de destination dans lequel vont tre charg les fichiers. Accepte les chemins relatifs et absolus
     * Type : chaine
     * Valeur par dfaut : $link (=dossier ouvert par l'utilisateur)
     */

$DirUpload = $_SESSION['DirUpload'];


/**
     * Chaine de caractres reprsentant les enttes de fichiers autoriss (mime-type).
     * Les enttes doivent tre spares par des points virgules.
     * Type : chaine
     * Valeur par dfaut : chaine vide (tout type d'entte autoris)
     */

$MimeType = '';

 /**
     * Permet de prciser un nom pour le fichier  uploader. Peut s'utiliser conjointement avec les proprits $Suffixe / $Prefixe
     * si vous avez autoris l'envoi de plusieurs fichiers en mme temps...
     * ..les fichiers suivants le premier seront prfixs avec [x] o x est le rang du fichier 
     * Type : chaine
     * Valeur par dfaut : chaine vide
     */

$Filename = '';






/**
     * Prfixe pour un nom de fichier (chaine de caractre qui sera ajoute au dbut de chaque nom de fichier)
     * Type : chaine
     * Valeur par dfaut : chaine vide
     */
 
$Prefixe ='' ;

/**
     * Suffixe pour un nom de fichier (chaine de caractre qui sera ajoute  la fin de chaque nom de fichier)
     * Type : chaine
     * Valeur par dfaut : chaine vide
     */

$Suffixe = ''  ;

/**
     * Mthode  employer pour l'criture des fichiers :
     *  0 : si un fichier de mme nom est prsent dans le rpertoire, il est cras par le nouveau fichier
     *  1 : si un fichier de mme nom est prsent dans le rpertoire, le nouveau fichier est upload mais prcd de la mention indique dans la variable $CopiePrefixe
     *  2 : si un fichier de mme nom est prsent dans le rpertoire, le nouveau fichier est ignor
     * Type : entier compris entre 0 et 2
     * Valeur par dfaut : 1
     */
$WriteMode = 1 ;

/**
     * Prfixe pour un nom de fichier si ce nom existe dj dans le rpertoire
     * Utilis si $WriteMode est initialis  1
     * Si vous laissez la chaine vide, le fichier sera  prfix avec [x] o x est un entier incrment automatiquement
     * Type : chaine
     * Valeur par dfaut : chaine vide
     */
$CopiePrefixe='';

/**
     * Dbit de la connexion utilisateur, exprime en kilobit, sur laquelle sera base le calcul de la fonction set_time_limit
     * Type : valeur numrique
     * Valeur par dfaut : 33.6
     * Le script peut modifier le time_limit de PHP mais chez free je ne crois pas que a fonctionne alors j'ai vir
     * Si vous souahitez le remettre il faut dcommenter la ligne ci dessous et dcommenter la fonction SetTimelimit dans le fichier upload.func.inc
     */
# $Debit = 33.6;


/**
     * Politique de scurit max : ignore tous les fichiers excutables / interprtables.
     * Type : boolen
     * Valeur par dfaut : false
     */
$SecurityMax = false ;

/**
     * Indique s'il faut vrifier la provenance du formulaire d'upload des fichiers. Si la chaine est vide, aucune vrification n'est effectue.
     * Pour lancer la vrification, il faut indiquer l'URI du formulaire de soumission des donnes.
     * Type : chaine
     * Valeur par dfaut : chaine vide

     */
$CheckReferer = '';

/**
     * Dfinit si les erreurs de configuration de la classe doivent tre affiches en sortie cran et doivent stopper le script courant.
     * Type : boolen
     * Valeur par dfaut : true

     */
$TrackError = true;

/**
     * Dfinit si les vnements divers (extension modifie, fichier dj existant...) doivent tre indiqus en sortie crans lorque le transfert a bien fonctionn.
     * Type : boolen
     * Valeur par dfaut : true
     */
$TrackMessage = true;



/**
     * Taille maximum exprime en kilo-octets pour l'upload d'un fichier.
     * Type : numrique
     * Valeur par dfaut : celle configure dans le php.ini
     */
     
$MaxFilesize = preg_replace('/M/', '', ini_get('upload_max_filesize')) * 1024;


/**
     * Largeur maximum d'une image exprime en pixel.
     * Type : entier
     * Valeur par dfaut : null (aucune vrification)
     */
$ImgMaxWidth = '800' ;

    /**
     * Hauteur maximum d'une image exprime en pixel.
     * Type : entier
     * Valeur par dfaut : null (aucune vrification)
     */
$ImgMaxHeight = '600' ;
    
    /**
     * Largeur minimum d'une image exprime en pixel.
     * Type : entier
     * Valeur par dfaut : null (aucune vrification)
     */
$ImgMinWidth =  '20';
    
    /**
     * Hauteur minimum d'une image exprime en pixel.
     * Type : entier
     * Valeur par dfaut : null (aucune vrification)
     */
$ImgMinHeight = '20' ;
/**
     * Dfinit si les images plus grandes que la taille autorise doivent tre redimensionnes.
     * GD2 doit tre activ sur votre serveur
     * Type : boolen
     * Valeur par dfaut : true

     */
$Resize = true;
 /**
     * Qualit des images JPG qui seront redimensionnes
     * Type : entier
     * Valeur par dfaut : 75
     */
$QualityJPG = '75';
/**
     * nombre de caractres maximum pour les noms de dossier crs.
     * Type : entier
     * Valeur par dfaut : 20
*/
$maxfolder ='20';
/**
     * Dfinit si il est possible de crer des dossiers
     * Type : boolen
     * Valeur par dfaut : true
     */
$CreateDir=true;
/**
     *initialisation des tableaux de messages
     */
$ArrOfError = array();
$ArrOfMessage =array();




?>
