<?php

// ----------------------------- Fonctions de gestion du chemin --------------------------- //

function ModifChemin($chemin)
{
	$taille = strlen($chemin);
	$i = $taille;
	$fin = 0;
	while(($fin==0) and ($i > 0))
	{ 
		$i--;
		if($chemin[$i] == "/") $fin = $i;
	}
	$newchemin = substr($chemin,0,$fin);
	return $newchemin;
}

function DecomposerChemin($chemin)
{
	$taille = strlen($chemin);
	$partie = "";

	$chemindecompose = "<a href='./ressource.php?chemin="."&amp;pagecentrale=1"."&amp;num_onglet=".$_GET['num_onglet']."&amp;num_chapitre=".$_GET['num_chapitre']."&amp;num_ressource=".$_GET['num_ressource']."&amp;message=".$_GET['message']."'></a>";

	if($taille > 1)
	{
		$cumul = ".";

		for($i=2;$i<$taille;$i++)
		{
			if($chemin[$i] == "/")
			{
				$cumul = "$cumul/$partie";
				$cumulencode = rawurlencode($cumul);
				$chemindecompose = $chemindecompose."<img src='images/arrow.png' style='height: 20px;' /><A HREF='./ressource.php?chemin=$cumulencode"."&amp;pagecentrale=1"."&amp;num_onglet=".$_GET['num_onglet']."&amp;num_chapitre=".$_GET['num_chapitre'] ."&amp;num_ressource=".$_GET['num_ressource']."&amp;message=".$_GET['message']."'>$partie</A>";
				$partie = "";
			}
			else $partie = $partie.$chemin[$i];
		}
		$cumul = "$cumul/$partie";
		$cumulencode = rawurlencode($cumul);
		$chemindecompose = $chemindecompose."<img src='images/arrow.png' style='height: 20px;' /><A HREF='./ressource.php?chemin=$cumulencode"."&amp;pagecentrale=1"."&amp;num_onglet=".$_GET['num_onglet']."&amp;num_chapitre=".$_GET['num_chapitre'] ."&amp;num_ressource=".$_GET['num_ressource']."&amp;message=".$_GET['message']."'>$partie</A>";
	}

	return $chemindecompose;
}


// =================== Fonction de gestions des extension et icones =========== //

function GetIcone($ext)
{
	switch($ext)
	{
		case "jpg"  : $icone = "image1.gif";		break;
		case "bdc"  : $icone = "bdc.gif";			break;
		case "js"  : $icone = "js.png";			break;
		case "gif"  : $icone = "image1.gif";		break;
		case "png"  : $icone = "image1.gif";		break;
		case "bmp"  : $icone = "image1.gif";		break;
		case "tif"  : $icone = "image1.gif";		break;
		case "c"    : $icone = "script.gif";		break;
		case "cpp"  : $icone = "script.gif";		break;
		case "mpg"  : $icone = "movie.gif";			break;
		case "avi"  : $icone = "movie.gif";			break;
		case "mov"  : $icone = "movie.gif";			break;
		case "pdf"  : $icone = "pdf.gif";			break;
		case "ps"   : $icone = "script.gif";		break;
		case "zip"  : $icone = "zip.gif";			break;
		case "ace"  : $icone = "zip.gif";			break;
		case "tar"  : $icone = "zip.gif";			break;
		case "gz"   : $icone = "zip.gif";			break;
		case "uu"   : $icone = "zip.gif";			break;
		case "bat"  : $icone = "bat.gif";			break;
		case "css"  : $icone = "text.gif";			break;
		case "sql"  : $icone = "text.gif";			break;
		case "txt"  : $icone = "text.gif";			break;
		case "mp3"  : $icone = "sound.gif";			break;
		case "wav"  : $icone = "sound.gif";			break;
		case "au"   : $icone = "sound.gif";			break;
		case "mid"  : $icone = "sound.gif";			break;
		case "rtf"  : $icone = "quill.gif";			break;
		case "doc"  : $icone = "doc.gif";			break;
		case "xls"  : $icone = "excel.gif";			break;
		case "ppt"  : $icone = "ppt.gif";			break;
		case "pps"  : $icone = "script.gif";		break;
		case "inc"  : $icone = "script.gif";		break;
		case "php"  : $icone = "script.gif";		break;
		case "php3" : $icone = "script.gif";		break;
		case "php4" : $icone = "script.gif";		break;
		case "com"  : $icone = "com.gif";			break;
		case "css"  : $icone = "script.gif";		break;
		case "inc"  : $icone = "script.gif";		break;
		case "asp"  : $icone = "script.gif";		break;
		case "html" : $icone = "html.gif";			break;
		case "htm"  : $icone = "html.gif";			break;
		case "exe"  : $icone = "exe.gif";			break;
		case "odt"  : $icone = "odt.gif";			break;
		case "ods"  : $icone = "ods.gif";			break;
		case "odp"  : $icone = "odp.gif";			break;
		case "odg"  : $icone = "odg.gif";			break;
		case "odf"  : $icone = "odf.gif";			break;
		case "odb"  : $icone = "odf.gif";			break;
		case "cao"  : $icone = "cao.gif";			break;
		case "fao"  : $icone = "fao.gif";			break;
		case "swf"  : $icone = "swf.gif";			break;		
		case "easm"  : $icone = "easm.gif";			break;
		case "sql"  : $icone = "sql.gif";			break;
		default     : $icone = "unknown.gif";		break;
	}
    return $icone;
}

function GetExtension($fichier)
{
	$pos = strrpos($fichier,".");
	$extension = substr($fichier,$pos+1,strlen($fichier)-$pos);
	return $extension;
}

// ----------------------- Fonction de gestion de la taille du fichier ------------------------ //

function FormatTailleFichier($Taille)
{
		 if($Taille == 0)					$format = "";
	else if($Taille <= 1024)				$format = $Taille." oct";
	else if($Taille <= (10*1024))			$format = sprintf ("%.2f k%s",($Taille/1024),"o");
	else if($Taille <= (100*1024))			$format = sprintf ("%.1f k%s",($Taille/1024),"o");
	else if($Taille <= (1024*1024))			$format = sprintf ("%d k%s",($Taille/1024),"o");
	else if($Taille <= (10*1024*1024))		$format = sprintf ("%.2f M%s",($Taille/(1024*1024)),"o");
	else if($Taille <= (100*1024*1024))		$format = sprintf ("%.1f M%s",($Taille/(1024*1024)),"o");
	else									$format = sprintf ("%d M%s",($Taille/(1024*1024)),"o");

	return $format;
}

// ----------------------- Fonction de gestion des caractères spéciaux dans le nom du fichier ------------------------ //

function CleanStr($str) {
    $return = '';
		$search  = array('à','á','â','ã','ä','ç','è','é','ê','ë','ì','í','î','ï','ñ','ò','ó','ô','õ','ö','ù','ú','û','ü','ý','ÿ','À','Á','Â','Ã','Ä','Ç','È','É','Ê','Ë','Ì','Í','Î','Ï','Ñ','Ò','Ó','Ô','Õ','Ö','Ù','Ú','Û','Ü','Ý');
		$replace = array('a','a','a','a','a','c','e','e','e','e','i','i','i','i','n','o','o','o','o','o','u','u','u','u','y','y','A','A','A','A','A','C','E','E','E','E','I','I','I','I','N','O','O','O','O','O','U','U','U','U','Y');
		$str = str_replace($search, $replace, $str);
		
        for ($i=0; $i <= strlen($str)-1; $i++) {
            if (preg_match('/[a-z]/',$str{$i}))              $return .= $str{$i};
            elseif (preg_match('/[A-Z]/', $str{$i}))         $return .= $str{$i};
            elseif (preg_match('/[0-9]/', $str{$i}))         $return .= $str{$i};
			
			elseif (preg_match('/[ ]/', $str{$i}))            $return .= '_';
            elseif (preg_match('/[.]/', $str{$i}))            $return .= '_';
            elseif (preg_match('/[\']/', $str{$i}))            $return .= '_';
            elseif (preg_match('/["]/', $str{$i}))            $return .= '_';
            elseif (preg_match('/\[\]/', $str{$i}))            $return .= '_';
            elseif (preg_match('/\[/]/', $str{$i}))            $return .= '_';
 
			// suppression de tout ce qui n'est pas alphanumérique
			elseif (!preg_match('/[0-9]/', $str{$i}) || !preg_match('/[a-z]/',$str{$i}) || !preg_match('/[A-Z]/',$str{$i}) ) $return .= '_';
    
			elseif (preg_match('/[%]/', $str{$i}))              $return .= 'e';
			
            elseif (!preg_match('/[0-9]/', $str{$i}) || !preg_match('/[a-z]/',$str{$i}) || !preg_match('/[A-Z]/',$str{$i}) ) $return .= '_';
            else $return .= $str{$i};

        }
        
        return $return;
}
?>